#ifndef _CHANNEL_H

#define _CHANNEL_H_

#include <stdio.h>
#include <stdlib.h>

/* Linked List Manipulation */
ChannelInfo locate_channel (char *);
int add_channel (ChannelInfo);
int remove_channel (ChannelInfo);
ChannelInfo channel_create (char *, time_t);
/* Channel client list handling */
int channel_rem_client (ClientInfo, ChannelInfo);
int channel_add_client (ClientInfo, ChannelInfo, int);
ChannelMember channel_is_client_on (ClientInfo, ChannelInfo);
int channel_msg_check_perms (ChannelInfo, ClientInfo);
/* Format check */
int channel_check (char *);
/* Close channel or not? */
int channel_needclose (ChannelInfo);
int channels_introduce (ServerInfo);
ChannelInfo get_channel_with_mask (char *);

#endif
