#ifndef _PARSE_H_

#define _PARSE_H_

#include "utility.h"

struct _parsed_cmd
{
  /* Malloc'ed at run time */
  char *command;
  char *params[15];
  char *text;
  char *origin;
  int had_colon;
};

typedef struct _parsed_cmd *Cmd;

Cmd parse_command (char *);
int cmd_free (Cmd);
int check_params (Cmd, int);

#endif
