#ifndef _LOGGER_H_

#define _LOGGER_H_

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <stdarg.h>
#include <string.h>
#include <limits.h>
#include <time.h>
#include "config.h"

/* Log levels */
#define LOG_BASIC 	0
#define LOG_DEBUG1	1
#define LOG_DEBUG2 	2
#define LOG_DEBUG3	3

int open_log (int);
int log_msg (int, char *, ...);
int close_log ();

#endif
