#ifndef _UTILITY_H_

#define _UTILITY_H_

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <limits.h>
#include "monkeyircd.h"

/* #define DEBUG */

/* String handling routines, meant to be overflow proof */
void *ircd_malloc (size_t);
char *string_alloc (int length);
int lc_strncmp (const char *, const char *, int);
int ircd_sprintf (char *, int, char *, ...);
int check_nick (char *);
int check_string (const char *, const char *);
char *get_mode_str (int);
char *get_chan_mode_str (ChannelInfo, char);

char random_char ();
char *generate_random_chars (char *, int);

#endif
